function  GaussCollLogRate
% plots the convergence rate for solutions to the logistic differential equation
% dy/dt = lambda*y*(1-y) aquired by RK collocation methods of order 1-4.
% uses subfunctions GaussKnoten, collcoeffs, rkimplssm

% Number of refinement steps
nsteps=;
% Source term
lambda = 10;
% Right hand side of the IVP
fun = @(x)
% Jacobian of fun
jac = @(x) 
% Initial value
y0 = 
% The explicit solution of the differential equtation
sol = @(t) y0./(y0+(1-y0)*exp(-lambda.*t));

% Intermediate evaluation points
tau = [0.5,1];

err_t = zeros(4,nsteps-1); % Initialise the error vector
tol=10^-6; % Tolerance

% make the figure
figure('Name','Collocation single step methods');
hold on;
% set markers for RK method solutions
marker = {'b+','m*','c^','rp'};
leg = cell(4, 1); % To be used for the legend of the plot
results = cell(4, 1); % To be used to print out the results

for p=1:4
    % Get the nodes for the collocation method of order p
    [c] = GaussNodes( ;
    
    % Compute the vector b and the matrix A of the corresponding 
    % collocation method 
    [A, b] = 
    % Be aware that b is of size (p x length(tau))
    
    % Loop over different mesh sizes
    for i = 2:nsteps
        % number of steps
        N = ;
        % Time grid
        t = 0:1/(N*length(tau)):1;
       
        % Compute solution using rkimplssm      
        [vals] = 
        err_t(p, i-1) = % Compute the error of the approximate solution 
                        % with respect to the exact solution
    end
    plot(2.^-[2:nsteps], err_t(p, :), marker{p});
    fit =  % Compute the approximate order of convergence
    
    % Preparations for presenting the results..
    leg{p} = sprintf('s=%d',p);
    results{p} = sprintf('For s = %d the estimated order is %f', p, fit(1));
    
end
sprintf('%s\n', results{:})
% set labels, legend, axes, ...
set(gca,'fontsize',14);
set(gca,'Xscale','log','Yscale','log');
xlabel('t');
ylabel('error');
legend(leg,4);
% write to file
print -dpsc2 'rkkolllograte.eps';

